import { pgTable, integer, varchar } from "drizzle-orm/pg-core";
import { sql } from "drizzle-orm";
import { timestamps } from "./helpers/columns.helpers";

export const Reseller = pgTable("bal_resellers", {
	id: integer().primaryKey().generatedAlwaysAsIdentity({ name: "resellers_id_seq", startWith: 1, increment: 1, minValue: 1, maxValue: 2147483647, cache: 1 }),
    name: varchar({ length: 100 }).notNull(),
	website_url: varchar({ length: 255 }),
	contact_email: varchar({length: 100}),
	...timestamps
})